# tailwindcss-full-bleed

A plugin that provides utilities for extended backgrounds and borders.

## [Demo](https://dgknca.github.io/tailwindcss-full-bleed)


## Installation

Install the plugin from npm:

```sh
npm install -D tailwindcss-full-bleed

or

yarn add -D tailwindcss-full-bleed
```

Then add the plugin to your `tailwind.config.js` file:

```js
// tailwind.config.js
module.exports = {
  theme: {
    // ...
  },
  plugins: [
    require('tailwindcss-full-bleed'),
    // ...
  ],
}
```

## Usage

| Class | Description |
| --- | --- |
| `bleed-{color}` | Any tailwind color to specify the bleed color. |
| `bleed-bg` | A background that extends to the left and right. |
| `bleed-bg-l` | A background that extends to the left. |
| `bleed-bg-r` | A background that extends to the right. |
| `bleed-border` | 1px top and bottom border that extends to the left and right. |
| `bleed-border-t` | 1px top border that extends to the left and right. |
| `bleed-border-b` | 1px bottom border that extends to the left and right. |
| `bleed-border-l` | 1px top and bottom border that extends to the left. |
| `bleed-border-r` | 1px top and bottom border that extends to the right. |
| `bleed-border-tl` | 1px top border that extends to the left. |
| `bleed-border-tr` | 1px top border that extends to the right. |
| `bleed-border-bl` | 1px bottom border that extends to the left. |
| `bleed-border-br` | 1px bottom border that extends to the right. |
| `bleed-border-br-2` | 2px bottom border that extends to the right. |
| `bleed-border-br-4` | 4px bottom border that extends to the right. |
| `bleed-border-br-8` | 8px bottom border that extends to the right. |
| `bleed-border-br-[14px]` | 14px bottom border that extends to the right. |
| `bleed-none` | To remove any full-bleeding. |


## Configuration

You can configure which values and variants are generated by this plugin under the `bleedBorder` and `bleedColor` keys in your `tailwind.config.js` file:

```js
// tailwind.config.js
module.exports = {
  theme: {
    extend: {
      bleedBorder: {
        // ...
      },
      bleedColor: {
        // ...
      }
    }
  }
}
```